Options

"Error with Beta 5 And OS X"

Slyjoker87Slyjoker87 Member Posts: 8 Contributor II
edited May 2019 in Help
Hey guys,

I'm trying to run the new beta 5.0 on my Mac but I get the following error messages when I try to run Rapidminer.jar
Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:675)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
at java.lang.ClassLoader.loadClass(ClassLoader.java:316)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:280)
at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:374)
What do you think?


Tagged:

Answers

  • Options
    landland RapidMiner Certified Analyst, RapidMiner Certified Expert, Member Posts: 2,531 Unicorn
    Hi,
    I think, you should install Java 6 before using a Java 6 application :)

    Greetings,
      Sebastian
  • Options
    Slyjoker87Slyjoker87 Member Posts: 8 Contributor II
    I Installed Snow Leopard and now it works.

    /shrug

    I'm a noob on my mac. I've used PCs my entire life and just switched to mac for my laptop last year.

    Thanks though!
    ;D

    EDIT: And just to clarify, I used the OS X software update prior to my first post and it said my software was updated completely. I also went to the JAVA site and it told me to use OS X software update. Perhaps in the future I will have to manually update?
  • Options
    RapidoRapido Member Posts: 7 Contributor II
    I had the same Problem with OSX 10.5.8.
    OSX software update said my software was up to date but Rapidminer Beta 5.0 didn't work.

    I resolved this Issue without installing Snow Leopard.!
    I just changed the order of the Java Version to Java SE 6 64 bit.

    To change this, open /Applications/Utilities/Java Preferences and make sure that a 64-bit version of Java is selected as the default for Java Applications.
    Move "Java SE 6 64bit" up!

    Now it works!! Rapidminer Beta 5.0 looks great!!

    Regards,

    Mike

  • Options
    IngoRMIngoRM Administrator, Moderator, Employee, RapidMiner Certified Analyst, RapidMiner Certified Expert, Community Manager, RMResearcher, Member, University Professor Posts: 1,751 RM Founder
    Hello Mike,

    Now it works!! Rapidminer Beta 5.0 looks great!!
    Thanks!  :-*

    Cheers,
    Ingo
Sign In or Register to comment.